package util;

/**
 *
 * Classe HTMLCode - possui mtodos para facilitar a 
 * impresso dos cdigos html de sada dos servlets
 *
 */
public class HTMLCode {

       
    private static String open1() {
        return "<HTML><HEAD><TITLE>";
    }
    
    private static String open2() {
        return "</TITLE></HEAD>";
    }
       
    public static String open(String title, String bgColor) {
        return HTMLCode.open1() + title + HTMLCode.open2() + "<body bgcolor=\"" + bgColor + "\">";
    }
    
    public static String open(String title) {
        return HTMLCode.open("Banco CIn - 2004 - "+title, "white");
    }
    
    public static String open() {
        return HTMLCode.open("");
    }    

    public static String close() {
        return "<p><center>"+HTMLCode.foot();
    }
    

    
    private static String foot() {
        return "<a href=\""+Constants.SYSTEM_INDEX+"\">"+"Menu pricipal</a>"+
               "<p><small>Aplicao Bancria</small></center></body></html>";
    }

    public static String link(String url, String description) {
        return "<a href=\"" + url + "\">" + description + "</a>";
    }

    public static String errorPage(String message) {        
        return HTMLCode.htmlPage("Error message", message);
    }    
        
    public static String htmlPage(String title, String text) {        

        StringBuffer pagina = new StringBuffer();
        
        pagina.append(HTMLCode.open(title, "white"));
        pagina.append("<center>");
        pagina.append("<font face=\"Arial\" color=\"black\" size=+1>"+ title +"</font></td>");
        pagina.append("</center>");
        
        pagina.append("<font face=\"Arial\" color=\"black\"><small>");
        pagina.append("<p align=\"center\">");
        pagina.append(text);
        pagina.append("</small></font>");
        pagina.append(HTMLCode.close());
                
        return pagina.toString();
    }
	
}